# mercurial-server

mercurial-server gives your developers remote read/write access to
centralized Mercurial repositories using SSH public key authentication; it
provides convenient and fine-grained key management and access control.
It was written by Paul Crowley at LShift Ltd.


## Installing

Though mercurial-server is currently targeted at Debian-based systems such
as Ubuntu, other users have reported success getting it running on other
Unix-based systems such as Red Hat. Running it on a non-Unix system such as
Windows is not supported. You will need root privileges to install it.

The best way to install mercurial-server is using your package management
system - there are pre-built .deb files on the website. However, there is
some provision for installing it directly. On Debian based systems such as
Ubuntu, use the command

    sudo make setup-adduser

On Red Hat and possibly other variants of Unix, try

    sudo make setup-useradd

See doc/manual.docbook for the rest of the documentation.


## License

Copyright (C) 2008-2012 LShift Ltd.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


## More info

Please see [the website] (http://www.lshift.net/mercurial-server.html) or
[contact us] (mailto:opensource@lshift.net).
